## mathjax-docs 3.2+20240903

=== requirements.txt ===
#
# This file is autogenerated by pip-compile with Python 3.12
# by the following command:
#
#    pip-compile --strip-extras requirements.in
#
alabaster==0.7.16
    # via sphinx
babel==2.14.0
    # via sphinx
certifi==2023.11.17
    # via requests
charset-normalizer==3.3.2
    # via requests
docutils==0.20.1
    # via
    #   sphinx
    #   sphinx-rtd-theme
idna==3.6
    # via requests
imagesize==1.4.1
    # via sphinx
jinja2==3.1.3
    # via sphinx
markupsafe==2.1.3
    # via jinja2
packaging==23.2
    # via sphinx
pygments==2.17.2
    # via sphinx
requests==2.31.0
    # via sphinx
snowballstemmer==2.2.0
    # via sphinx
sphinx==7.2.6
    # via
    #   sphinx-rtd-theme
    #   sphinxcontrib-jquery
sphinx-rtd-theme==2.0.0
    # via -r requirements.in
sphinxcontrib-applehelp==1.0.8
    # via sphinx
sphinxcontrib-devhelp==1.0.6
    # via sphinx
sphinxcontrib-htmlhelp==2.0.5
    # via sphinx
sphinxcontrib-jquery==4.1
    # via sphinx-rtd-theme
sphinxcontrib-jsmath==1.0.1
    # via sphinx
sphinxcontrib-qthelp==1.0.7
    # via sphinx
sphinxcontrib-serializinghtml==1.1.10
    # via sphinx
urllib3==2.1.0
    # via requests

## mathjax-docs 2.1+20121206

=== debian/changelog ===
mathjax-docs (2.1+20121206-1) experimental; urgency=low

  * Initial release, split out of mathjax source.
  * debian/patches/use_mjtheme.patch:
    Use "mjtheme" theme instead of "sphinx-bootstrap".
  * debian/patches/no_mathjax_js_in_documentation.patch:
    Remove reference to MathJax.js from mjtheme/layout.html.

 -- Dmitry Shachnev <mitya57@gmail.com>  Fri, 21 Dec 2012 20:25:46 +0400

=== debian/control ===
Source: mathjax-docs
Section: doc
Priority: optional
Maintainer: Dmitry Shachnev <mitya57@gmail.com>
Uploaders: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Build-Depends: debhelper (>= 9), python3-sphinx
Standards-Version: 3.9.4
Homepage: https://github.com/mathjax/mathjax-docs
Vcs-Git: git://git.debian.org/git/pkg-javascript/mathjax-docs.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-javascript/mathjax-docs.git

Package: libjs-mathjax-doc
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: JavaScript display engine for LaTeX and MathML (documentation)
 MathJax was designed with the goal of consolidating the recent advances in web
 technologies into a single, definitive, math-on-the-web platform supporting
 the major browsers and operating systems.
 .
 It requires no setup on the part of the user (no plugins to download or
 software to install), so the page author can write web documents that include
 mathematics and be confident that users will be able to view it naturally and
 easily. Simply include MathJax and some mathematics in a web page, and MathJax
 will do the rest.
 .
 This package provides HTML documentation of MathJax.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

MJ_COMMITS = https://github.com/mathjax/mathjax-docs/commits/master
MJ_CONFIG  = https://raw.github.com/mathjax/mathjax-docs/master/conf.py
MJ_TARBALL = https://github.com/mathjax/mathjax-docs/archive/master.tar.gz

%:
	dh $@ --with sphinxdoc

override_dh_auto_build:
	sphinx-build . html
	dh_auto_build

override_dh_auto_clean:
	rm -rf html
	dh_auto_clean

override_dh_builddeb:
	dh_builddeb -- -Zxz

get-orig-source:
	base_version=`wget $(MJ_CONFIG) -qO- | grep -P "(?<=version = ').+(?=')" -o`; \
	date=`wget $(MJ_COMMITS) -qO- | grep -P '\d{4}-\d\d-\d\d' -o | sed 's/-//g' | head -n1`; \
	filename=mathjax-docs_$$base_version+$$date.orig.tar.gz; \
	wget $(MJ_TARBALL) -qO $$filename; \
	echo "Successfully downloaded tarball and saved to $$filename."

## mathjax-docs 2.1+20130419

=== debian/changelog ===
mathjax-docs (2.1+20130419-1) unstable; urgency=low

  * New upstream snapshot.
  * Upload to unstable.
  * Use canonical Vcs-Git URI (fixes lintian warning).
  * debian/rules: switch to v2.1-latest branch, break on download errors.

 -- Dmitry Shachnev <mitya57@gmail.com>  Wed, 08 May 2013 23:25:56 +0400

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper (>= 9), python3-sphinx
 Standards-Version: 3.9.4
 Homepage: https://github.com/mathjax/mathjax-docs
-Vcs-Git: git://git.debian.org/git/pkg-javascript/mathjax-docs.git
+Vcs-Git: git://anonscm.debian.org/pkg-javascript/mathjax-docs.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-javascript/mathjax-docs.git
 
 Package: libjs-mathjax-doc

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

BRANCH = v2.1-latest

MJ_COMMITS = https://github.com/mathjax/mathjax-docs/commits/$(BRANCH)
MJ_CONFIG  = https://raw.github.com/mathjax/mathjax-docs/$(BRANCH)/conf.py
MJ_TARBALL = https://github.com/mathjax/mathjax-docs/archive/$(BRANCH).tar.gz

%:
	dh $@ --with sphinxdoc

override_dh_auto_build:
	sphinx-build . html
	dh_auto_build

override_dh_auto_clean:
	rm -rf html
	dh_auto_clean

override_dh_builddeb:
	dh_builddeb -- -Zxz

get-orig-source:
	base_version=`wget $(MJ_CONFIG) -qO- | grep -P "(?<=version = ').+(?=')" -o` && \
	date=`wget $(MJ_COMMITS) -qO- | grep -P '\d{4}-\d\d-\d\d' -o | sed 's/-//g' | head -n1` && \
	filename=mathjax-docs_$$base_version+$$date.orig.tar.gz && \
	wget $(MJ_TARBALL) -qO $$filename && \
	echo "Successfully downloaded tarball and saved to $$filename."

## mathjax-docs 2.2+20130526

=== debian/changelog ===
mathjax-docs (2.2+20130526-1) unstable; urgency=low

  * Switch back to master branch.
  * New upstream snapshot.
  * Update debian/copyright: bump years, and transfer the copyright
    from "Design Science, Inc" to "The MathJax Consortium" (following
    upstream).

 -- Dmitry Shachnev <mitya57@gmail.com>  Sun, 26 May 2013 16:20:06 +0400

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 
-BRANCH = v2.1-latest
+BRANCH = master
 
 MJ_COMMITS = https://github.com/mathjax/mathjax-docs/commits/$(BRANCH)
 MJ_CONFIG  = https://raw.github.com/mathjax/mathjax-docs/$(BRANCH)/conf.py

## mathjax-docs 2.2+20130719

=== debian/changelog ===
mathjax-docs (2.2+20130719-1) unstable; urgency=low

  * New upstream snapshot.
  * debian/libjs-mathjax-doc.doc-base: rename the document to prevent
    conflicts with the version from wheezy (closes: #718005).

 -- Dmitry Shachnev <mitya57@gmail.com>  Sun, 28 Jul 2013 15:34:37 +0400

## mathjax-docs 2.3+20140108

=== debian/changelog ===
mathjax-docs (2.3+20140108-1) unstable; urgency=low

  * New upstream snapshot.
  * No longer override dh_builddeb, xz compression is now default.
  * Remove minimized javascript without source from the tarball.
  * Move tarball creation code to debian/get-orig-source.sh.
  * Bump Standards-Version to 3.9.5, no changes needed.

 -- Dmitry Shachnev <mitya57@gmail.com>  Wed, 12 Feb 2014 11:42:41 +0400

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,13 @@
 Maintainer: Dmitry Shachnev <mitya57@gmail.com>
 Uploaders: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 9), python3-sphinx
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: https://github.com/mathjax/mathjax-docs
 Vcs-Git: git://anonscm.debian.org/pkg-javascript/mathjax-docs.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-javascript/mathjax-docs.git
 
 Package: libjs-mathjax-doc
 Architecture: all
-Pre-Depends: dpkg (>= 1.15.6~)
 Depends: ${misc:Depends}, ${sphinxdoc:Depends}
 Description: JavaScript display engine for LaTeX and MathML (documentation)
  MathJax was designed with the goal of consolidating the recent advances in web

## mathjax-docs 2.4+20140903

=== debian/changelog ===
mathjax-docs (2.4+20140903-1) unstable; urgency=medium

  * New upstream snapshot.
  * Simplify get-orig-source.sh, no more need to remove files.
  * Update and simplify debian/copyright.
  * Update my e-mail address.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 09 Sep 2014 09:44:40 +0400

mathjax-docs (2.4+20140613-1) unstable; urgency=medium

  * New upstream snapshot.
  * Drop all patches, no longer needed.

 -- Dmitry Shachnev <mitya57@gmail.com>  Sun, 15 Jun 2014 15:14:33 +0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: mathjax-docs
 Section: doc
 Priority: optional
-Maintainer: Dmitry Shachnev <mitya57@gmail.com>
+Maintainer: Dmitry Shachnev <mitya57@debian.org>
 Uploaders: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 9), python3-sphinx
 Standards-Version: 3.9.5

## mathjax-docs 2.5+20150130

=== debian/changelog ===
mathjax-docs (2.5+20150130-1) experimental; urgency=medium

  * New upstream snapshot.
  * Update Vcs-Browser field to point to cgit interface.
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Bump years in debian/copyright.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 31 Jan 2015 13:10:39 +0300

## mathjax-docs 2.5+20150325

=== debian/changelog ===
mathjax-docs (2.5+20150325-1) experimental; urgency=medium

  * New upstream snapshot.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 26 Mar 2015 13:16:24 +0300

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: Dmitry Shachnev <mitya57@debian.org>
 Uploaders: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 9), python3-sphinx
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: https://github.com/mathjax/mathjax-docs
 Vcs-Git: git://anonscm.debian.org/pkg-javascript/mathjax-docs.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-javascript/mathjax-docs.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-javascript/mathjax-docs.git
 
 Package: libjs-mathjax-doc
 Architecture: all

## mathjax-docs 2.5+20150415

=== debian/changelog ===
mathjax-docs (2.5+20150415-1) unstable; urgency=medium

  * New upstream snapshot.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 03 May 2015 21:23:41 +0300

## mathjax-docs 2.5+20150518

=== debian/changelog ===
mathjax-docs (2.5+20150518-1) unstable; urgency=medium

  * New upstream snapshot.
  * Make the build reproducible (closes: #789752, thanks Juan Picca for
    the patch).

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 24 Jun 2015 11:54:13 +0300

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Dmitry Shachnev <mitya57@debian.org>
 Uploaders: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
-Build-Depends: debhelper (>= 9), python3-sphinx
+Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.17.0), python3-sphinx
 Standards-Version: 3.9.6
 Homepage: https://github.com/mathjax/mathjax-docs
 Vcs-Git: git://anonscm.debian.org/pkg-javascript/mathjax-docs.git

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

LAST_CHANGE = $(shell dpkg-parsechangelog -S Date)
BUILD_DATE  = $(shell LC_ALL=C date -u "+%B %d, %Y" -d "$(LAST_CHANGE)")

%:
	dh $@ --with sphinxdoc

override_dh_auto_build:
	sphinx-build -D today="$(BUILD_DATE)" . html

override_dh_auto_clean:
	rm -rf html

get-orig-source:
	sh $(CURDIR)/debian/get-orig-source.sh

## mathjax-docs 2.6+20151230

=== debian/changelog ===
mathjax-docs (2.6+20151230-1) unstable; urgency=medium

  * New upstream snapshot.
  * Revert the last change. No hacks needed to achieve reproducibility
    with the latest Sphinx.
  * debian/get-orig-source.sh: Set -e to abort in case of errors.
  * Switch some links in debian/control and debian/copyright to HTTPS.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 02 Jan 2016 14:51:33 +0300

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Dmitry Shachnev <mitya57@debian.org>
 Uploaders: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
-Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.17.0), python3-sphinx
+Build-Depends: debhelper (>= 9), python3-sphinx
 Standards-Version: 3.9.6
 Homepage: https://github.com/mathjax/mathjax-docs
 Vcs-Git: git://anonscm.debian.org/pkg-javascript/mathjax-docs.git
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-javascript/mathjax-docs.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-javascript/mathjax-docs.git
 
 Package: libjs-mathjax-doc
 Architecture: all

## mathjax-docs 2.7+20161014

=== debian/changelog ===
mathjax-docs (2.7+20161014-1) unstable; urgency=medium

  * New upstream snapshot.
  * Bump Standards-Version to 3.9.8, no changes needed.
  * Use HTTPS for the Vcs-Git field.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 17 Oct 2016 17:52:03 +0300

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Maintainer: Dmitry Shachnev <mitya57@debian.org>
 Uploaders: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 9), python3-sphinx
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://github.com/mathjax/mathjax-docs
-Vcs-Git: git://anonscm.debian.org/pkg-javascript/mathjax-docs.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-javascript/mathjax-docs.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-javascript/mathjax-docs.git
 
 Package: libjs-mathjax-doc

## mathjax-docs 2.7+20171212

=== debian/changelog ===
mathjax-docs (2.7+20171212-2) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * Update Vcs fields for migration to salsa.debian.org.

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 01 Jul 2022 00:26:02 +0100

mathjax-docs (2.7+20171212-1) unstable; urgency=medium

  * New upstream snapshot.
  * Add build-dependency on python3-sphinx-rtd-theme.
  * Update to debhelper compat level 11.
  * Add a patch to not load external non-free images in badges.html.
  * Add a patch to ignore the .pc directory when building the docs.
  * Bump Standards-Version to 4.1.3, no changes needed.
  * Make generation of the upstream tarball reproducible.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 29 Dec 2017 11:24:16 +0300

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Dmitry Shachnev <mitya57@debian.org>
 Uploaders: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
-Build-Depends: debhelper (>= 9), python3-sphinx
-Standards-Version: 3.9.8
+Build-Depends: debhelper-compat (= 12), python3-sphinx, python3-sphinx-rtd-theme
+Standards-Version: 4.1.3
 Homepage: https://github.com/mathjax/mathjax-docs
-Vcs-Git: https://anonscm.debian.org/git/pkg-javascript/mathjax-docs.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-javascript/mathjax-docs.git
+Vcs-Git: https://salsa.debian.org/js-team/mathjax-docs.git
+Vcs-Browser: https://salsa.debian.org/js-team/mathjax-docs
 
 Package: libjs-mathjax-doc
 Architecture: all

=== debian/watch ===
# Please use "debian/rules get-orig-source" to retrieve the
# upstream tarball from Github.

## mathjax-docs 3.2+20240903

=== debian/changelog ===
mathjax-docs (3.2+20240903-1) unstable; urgency=medium

  * New upstream snapshot.
  * Refresh patches for the new snapshot.
  * debian/get-orig-source.sh: Avoid using environment variables
    (GZIP environment variable is deprecated since gzip 1.7).
  * Update copyright years.
  * Properly capitalize the upstream URL.
  * Update to debhelper compat level 13.
  * Remove external image from index.rst.
  * Add Repository to debian/upstream/metadata.
  * Bump Standards-Version to 4.7.0, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 30 Jan 2025 22:28:24 +0300

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,16 @@
 Priority: optional
 Maintainer: Dmitry Shachnev <mitya57@debian.org>
 Uploaders: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
-Build-Depends: debhelper-compat (= 12), python3-sphinx, python3-sphinx-rtd-theme
-Standards-Version: 4.1.3
-Homepage: https://github.com/mathjax/mathjax-docs
+Build-Depends: debhelper-compat (= 13), python3-sphinx, python3-sphinx-rtd-theme
+Standards-Version: 4.7.0
+Homepage: https://github.com/mathjax/MathJax-docs
 Vcs-Git: https://salsa.debian.org/js-team/mathjax-docs.git
 Vcs-Browser: https://salsa.debian.org/js-team/mathjax-docs
 
 Package: libjs-mathjax-doc
 Architecture: all
 Depends: ${misc:Depends}, ${sphinxdoc:Depends}
+Multi-Arch: foreign
 Description: JavaScript display engine for LaTeX and MathML (documentation)
  MathJax was designed with the goal of consolidating the recent advances in web
  technologies into a single, definitive, math-on-the-web platform supporting

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --with sphinxdoc

override_dh_auto_build:
	sphinx-build . html

override_dh_auto_clean:
	rm -rf html

get-orig-source:
	sh $(CURDIR)/debian/get-orig-source.sh
